Subject: bug#24844: 26.0.50; electric-newline-and-maybe-indent

From: Andreas Röhler <[email-masked]>
Date: Tue, 1 Nov 2016 22:04:46 +0100

On 01.11.2016 21:08, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> From: Andreas Röhler <[email-masked]>
>> Date: Tue, 1 Nov 2016 20:43:04 +0100
>>
>> In haskell-mode at EOL:
>>
>> factors :: Int -> [Int]
>>
>> C-j calls
>>
>> electric-newline-and-maybe-indent
>>
>> and indents wrongly - there is nothing to indent.
> So perhaps this is the problem to solve, not the documentation?
>
>> BTW why electric-newline? Isn't the indent the electric action?
> I agree that the name is confusing; I guess the "electric-" prefix is
> to blame.
>
>> In order to avoid the wrong indent, have to enable electric-indent-mode
>> - doesn't make sense for me.
> So I think the bug is the wrong indent you needed to avoid.

Hmm, think there are two bugs.

In electric-newline-and-maybe-indent switching the clauses should solve 
this one.

Than, even an electric-indent should do nothing when not appropriate, 
second bug.